# 📘 basicnumeriq

basicnumeriq is a simple Python module that provides basic mathematical and statistical functions. 
You can use it to perform various operations on lists of numbers.

## 🔧 Installation

You can install the library using `pip`:

```bash
pip install basicnumeriq
```

## 🚀 Usage

After adding the module to your project, you can use the following functions:


### 🔢 sum

Calculates the sum of a list of numbers.

**Example:**

```python
>>> sum([1, 2, 3])
6
```

### ➖ subtract

Calculates the difference of a list of numbers.

**Example:**

```python
>>> subtract([10, 5, 2])
3
```

### ✖ multiply

Calculates the product of a list of numbers.

**Example:**

```python
>>> multiply([2, 3, 4])
24
```

### ➗ divide

Calculates the division of a list of numbers.

**Example:**

```python
>>> divide([100, 2, 5])
10.0
```

### 🔼 max

Finds the maximum number in a list.

**Example:**

```python
>>> max([1, 2, 3, 4, 5])
5
```

### 🔽 min

Finds the minimum number in a list.

**Example:**

```python
>>> min([1, 2, 3, 4, 5])
1
```

### 📏 size

Returns the size (number of elements) of a list.

**Example:**

```python
>>> size([1, 2, 3, 4])
4
```

### 🔀 sort

Sorts a list of numbers.

**Example:**

```python
>>> sort([3, 1, 4, 1, 5, 9, 2])
[1, 1, 2, 3, 4, 5, 9]
```

### 📊 mean

Calculates the mean (average) of a list of numbers.

**Example:**

```python
>>> mean([1, 2, 3, 4, 5])
3.0
```

### 📉 median

Finds the median of a list of numbers.

**Example:**

```python
>>> median([1, 2, 3, 4, 5])
3
```

### 📈 variance

Calculates the variance of a list of numbers.

**Example:**

```python
>>> var([1, 2, 3, 4, 5])
2.0
```

### 📉 standard deviation

Calculates the standard deviation of a list of numbers.

**Example:**

```python
>>> std([1, 2, 3, 4, 5])
1.41
```